Skip to main content

Prepare delivery for a downstream agent

POST 

/api/v2/delivery/prepareDelivery

Cache-first: if source is "cache" or omitted, extracts base_url from the incoming request and builds a local download URL. Falls back to remote proxy when source is "remote".

Request

Query Parameters

    source string

    Delivery source: 'remote' for direct download from artifact, 'cache' for download from delivery server cache

Body

required

    catalogId stringrequired
    deviceId stringrequired
    itemType ItemTyperequired

    Possible values: [software, map, cache]

Responses

Delivery prepared successfully

Schema

    artifacts

    object[]

  • Array [

  • arguments stringnullable
    artifactType stringnullable
    catalogId stringrequired

    hash

    object

    algorithm Algorithmrequired

    Possible values: [SHA256Hex, SHA256Base64]

    hash stringrequired
    id int32nullable
    isExecutable booleannullable
    itemKey stringrequired
    metaData stringnullable
    signature stringnullable
    size doublenullable
    url stringrequired
  • ]

  • catalogId stringrequired

    error

    object

    errorCode object

    APP.unknown: General Error code not listed in the enum
    DELIVERY.unknown: Error code not listed in the enum
    DELIVERY.notFound: No found the delivery with given catalog id
    DELIVERY.download: Download of delivery item failed
    DELIVERY.downloadNotAvailable: Delivery item not yet available for download
    DELIVERY.notExist: The Package not exist in storage
    DELIVERY.invalid: Package of given catalog id is invalid, maybe expired or some else
    DELIVERY.notVerified: Package of given catalog id is not verified, the package can be in valid
    DELIVERY.packageTooLarge: Package of given catalog id is too large, no space in cache
    DELIVERY.unableClearCache: Some issue occurs when trying to clear cache
    PROJECT_MANAGEMENT.unknown: Error code not listed in the enum
    PROJECT_MANAGEMENT.deleteProjectFailed: Failed to delete the project
    PROJECT_MANAGEMENT.labelNotFound: Label with the given id or name was not found
    PROJECT_MANAGEMENT.labelAlreadyExists: Label with the given name already exists
    PROJECT_MANAGEMENT.labelInUse: Label cannot be deleted as it is being used by projects
    MAP.unknown: Error code not listed in the enum
    MAP.notFound: No found the map with given id
    MAP.bBoxIsInvalid: BBox is probably invalid
    MAP.bBoxNotInAnyPolygon: The given BBox in not contains in any polygon
    MAP.getRecordsFailed: Failed to get records.
    MAP.exportMapFailed: Some error occurs when import map
    MAP.requestInProgress: Delivery was already requested and in processing!
    MAP.areaTooLarge: Area too large to distribute, reduce request size and try again
    MAP.areaTooSmall: Area too small to distribute, increase request size and try again . DEVICE.notFound: Device with given id not found.
    DEVICE.hasChildren: Device has child devices and cannot be deleted.
    DEVICE.hasChildren: Cannot delete device because it has child devices.
    DEVICE_DT_NOT_FOUND: Device type with given id not found.
    DEVICE_DT_ALREADY_EXISTS: Device type with given name already exists.
    DEVICE_PLATFORM.notFound: Platform with given id or name not found.
    DEVICE_PLATFORM_ALREADY_EXISTS: Platform with given name already exists.
    GROUP_NOT_FOUND: Group with the given id was not found.
    GROUP_NOT_ALLOWED_TO_ADD: Not allowed to add to the group, see message for cause.
    GROUP.orgIdUnknown: Organization ID is unknown, see message for cause.
    GROUP.orgIdNotAllowed: Organization ID is not allowed to be used, see message for cause.
    GROUP.orgIdConflict: Organization ID conflict occurred.
    GROUP.orgIdNotFound: Organization ID not found.
    RULE.validationFailed: Rule validation against rule engine failed.
    RULE.fieldNotSupported: One or more fields in the rule are not supported.
    RULE.fieldAlreadyExists: Rule field with the given name already exists.
    RULE.fieldNotFound: Rule field with the given name was not found.
    RELEASE.hasDependents: Cannot delete release because other releases depend on it.

    message stringnullable
    progress doublenullable
    size doublenullable
    status Statusrequired

    Possible values: [start, inProgress, done, error, delete, pending]

    url stringnullabledeprecated
Loading...